Bug 532816 - Review Request: gdouros-alexander-fonts - A Greek typeface inspired by Alexander Wilson
Summary: Review Request: gdouros-alexander-fonts - A Greek typeface inspired by Alexan...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Sonefors
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-03 22:33 UTC by Robin Sonefors
Modified: 2015-04-30 08:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-22 18:03:26 UTC
nicolas.mailhot: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1208838 None None None Never

Internal Links: 1208838

Description Robin Sonefors 2009-11-03 22:33:02 UTC
Spec URL: http://ozamosi.fedorapeople.org/gdouros-alexander-fonts.spec
SRPM URL: http://ozamosi.fedorapeople.org/gdouros-alexander-fonts-3.01-1.fc12.src.rpm
Description:
A text typeface using the Greek letters designed by Alexander Wilson
(1714-1786), a Scottish doctor, astronomer, and typefounder, who established a
typefoundry in Glasgow in 1744. The type was especially designed for an edition
of Homer’s epics, published in 1756-8 by Andrew and Robert Foulis, printers to
the University of Glasgow. A modern revival, Wilson Greek, was designed by
Matthew Carter in 1995. Peter S. Baker is also using Wilson’s Greek type in his
Junicode font for medieval scholars (2007).

Latin and Cyrillic are based on a Garamond typeface. The font covers the
Windows Glyph List, IPA Extensions, Greek Extended, Ancient Greek Numbers,
Byzantine and Ancient Greek Musical Notation, various typographic extras and
several Open Type features (Case-Sensitive Forms, Small Capitals, Subscript,
Superscript, Numerators, Denominators, Fractions, Old Style Figures, Historical
Forms, Stylistic Alternates, Ligatures).

It was created by George Douros.

rpmlint gives a no-documentation warning. Upstream distributes no documentation.

Comment 1 Nicolas Mailhot 2009-11-06 21:44:21 UTC
Spec is clean. Regarding the fontconfig part:
1. a Greek font belongs to the < 65 range (≥ 65 is anything that does not fit in Latin - Greek - Cyrillic, see fontconfig-priorities.txt)
2. are you sure this is a fantasy font? I seems quite usable in a professional context to me (see fontconfig-generics.txt)

However both elements are quite easy to tweak even after inclusion and you've been a solid packager to far. Therefore I'm going to approve the package and let you the judge on them.

⟴⟴⟴ APPROVED ⟴⟴⟴

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

I hope the process was pleasant, and that it will inspire you to package a
other fonts for Fedora. Please do not hesitate to suggest improvements to our
organisation or documentation on the fonts mailing list.

Thank you for another contribution to our font package pool.

Comment 2 Nicolas Mailhot 2009-11-06 22:01:37 UTC
(It may be a good idea to package the pdf of samples on the author's page as %doc BTW)

Comment 3 Robin Sonefors 2009-11-07 16:36:31 UTC
New Package CVS Request
=======================
Package Name: gdouros-alexander-fonts
Short Description: A Greek typeface inspired by Alexander Wilson
Owners: ozamosi
Branches: F11 F12
InitialCC: fonts-sig

Comment 4 Kevin Fenzi 2009-11-11 03:44:46 UTC
cvs done.

Comment 5 Fedora Update System 2009-11-19 16:21:11 UTC
gdouros-alexander-fonts-3.01-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gdouros-alexander-fonts-3.01-2.fc12

Comment 6 Fedora Update System 2009-11-20 05:15:27 UTC
gdouros-alexander-fonts-3.01-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-11-20 05:48:23 UTC
gdouros-alexander-fonts-3.01-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gdouros-alexander-fonts-3.01-2.fc11

Comment 8 Fedora Update System 2009-11-24 07:38:16 UTC
gdouros-alexander-fonts-3.01-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Nicolas Mailhot 2010-02-22 18:03:26 UTC
Please do not forget to close review bug when the package has been built fedora-side


Note You need to log in before you can comment on or make changes to this bug.